<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"  crossorigin="anonymous"></script>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ticketing System</title>
  <script src="https://cdn.jsdelivr.net/npm/web3@1.6.0/dist/web3.min.js"></script>
  <style>
    /* Add your custom styles here */
  </style>
</head>
<body>
  <div class="container">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="/">Ticketing System</a>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="/events">Events</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/verification">Verification</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/sellATicket">Sell your ticket</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="usedTickets">Buy a used ticket</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <div class="row">
      <div class="col-md-6">
        <h2>Create Event</h2>
        <form id="createEventForm">
          <div class="mb-3">
            <label for="eventName" class="form-label">Event Name:</label>
            <input type="text" class="form-control" id="eventName" name="name">
          </div>
          <div class="mb-3">
            <label for="number" class="form-label">Event Date:</label>
            <input type="number" class="form-control" id="date" name="date">
          </div>
          <div class="mb-3">
            <label for="location" class="form-label">Event Location:</label>
            <input type="text" class="form-control" id="location" name="location">
          </div>
          <div class="mb-3">
            <label for="ticketPrice" class="form-label">Ticket Price:</label>
            <input type="number" class="form-control" id="ticketPrice" name="ticketPrice">
          </div>
          <div class="mb-3">
            <label for="totalTickets" class="form-label">Total Tickets:</label>
            <input type="number" class="form-control" id="totalTickets" name="totalTickets">
          </div>
          <div class="mb-3 form-check">
            <input type="checkbox" class="form-check-input" id="isResaleAllowed" name="isResaleAllowed">
            <label class="form-check-label" for="isResaleAllowed">Is Resale Allowed</label>
          </div>
          <div class="mb-3 form-check">
            <input type="checkbox" class="form-check-input" id="isPriceIncreaseAllowed" name="isPriceIncreaseAllowed">
            <label class="form-check-label" for="isPriceIncreaseAllowed">Is Price Increase Allowed</label>
          </div>
          <button type="submit" class="btn btn-primary">Create Event</button>
        </form>
      </div>

      <div class="col-md-6">
        <h2>Enter Ticket ID</h2>
        <div class="input-group mb-3">
          <label for="ticketIdInput" class="input-group-text">Enter Ticket ID:</label>
          <input type="number" class="form-control" id="ticketIdInput" name="ticketIdInput">
          <button class="btn btn-primary" type="button" onclick="getTicketDetails()">Get Ticket Details</button>
        </div>
        <div id="ticketDetails" class="mt-3"></div>
      </div>
    </div>
  </div>
  <script>
    const web3 = new Web3('http://127.0.0.1:7545'); 

  
    document.getElementById('createEventForm').addEventListener('submit', async (event) => {
      event.preventDefault();
      const name = event.target.name.value;
      const date = event.target.date.value;
      const location = event.target.location.value;
      const ticketPrice = event.target.ticketPrice.value;
      const totalTickets = event.target.totalTickets.value;
      const isResaleAllowed = event.target.isResaleAllowed.checked;
const isPriceIncreaseAllowed = event.target.isPriceIncreaseAllowed.checked;

const response = await fetch('/createEvent', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    name,
    date,
    location,
    ticketPrice,
    totalTickets,
    isResaleAllowed,
    isPriceIncreaseAllowed
  })
});

const result = await response.json();
console.log(result);
});

  async function getTicketDetails() {
    const ticketIdInput = document.getElementById("ticketIdInput");
    const ticketId = ticketIdInput.value;

    try {
      const response = await fetch(`/getTicket/${ticketId}`);
      const ticket = await response.json();

      const ticketDetails = document.getElementById("ticketDetails");
    ticketDetails.innerHTML = `
      <h3>Ticket Details:</h3>
      <p>ID: ${ticket.id}</p>
      <p>Holder: ${ticket.holder}</p>
      <p>Price (in wei): ${ticket.price}</p>
      <p>Event ID: ${ticket.eventId}</p>
    `;
      

    } catch (error) {
      console.error("Error fetching ticket details:", error);
    }
  }

</script>
</body>
</html>
